<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Редактор игрока';
require_once('conf/head.php');
require_once('conf/top.php');

switch($_GET[go]){
default:
$user_id=abs(intval($_SESSION['id']));
$set_id = abs(intval($_GET['id']));
$anka= $dbc->query("SELECT * FROM `users` WHERE `id` = '$set_id'")->fetch_assoc();
$row=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id' LIMIT 1")->fetch_assoc();
if($row['admin']<>'1'){header('location: /');}
if($anka['id']<=0){echo "<center><p class='name'>Редактор игрока</p></center><div class='dot'><span class='red'>Ошибка! Вы не выбрали игрока!</span></br></div>";
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}
echo'<center><p class="name">Редактор игрока</p></center><div class="redactor"><form action="?go=yes&id='.$set_id.'" method="post">';
echo"<div class='dot'><center><font color='#e8c25d'><i>Данные:</font></i></center>
Ник:<br/>
<input class='input' type=\"text\" value=\"$anka[nick]\" size=\"20\" name=\"nick\"/><br/>
Должность (0-3):<br/>
<input class='input' type=\"text\" value=\"$anka[admin]\" size=\"20\" name=\"admin\"/><br/>
Группировка: (dolg,svoboda,naemniki)<br/>
<input class='input' type=\"text\" value=\"$anka[gruppa]\" size=\"20\" name=\"gruppa\"/><br/></div>
Уровень:<br/>
<input class='input' type=\"text\" value=\"$anka[lvl]\" size=\"20\" name=\"lvl\"/><br/>
Рубли:<br/>
<input class='input' type=\"text\" value=\"$anka[money]\" size=\"20\" name=\"money\"/><br/>
Хабар:<br/>
<input class='input' type=\"text\" value=\"$anka[habar]\" size=\"20\" name=\"habar\"/><br/>
<input class=\"button\" type=\"submit\" value=\"Изменить\" /></form></div>";
if($anka['viptime'] > time())
{
$time=$anka['viptime']-time();


echo'<div style="background-color: #1E1E1E;">
<p style="border-top: solid 1px #444e4f"></p>';
echo"<font color='gold'> Вип закончиться через:</font><span class='bonus'> ";
$anka[viptime]=$anka[viptime]-time();
if($anka[viptime]<60){
echo "$anka[viptime] сек.</br>";

}elseif($anka[viptime]>=60 and $anka[viptime]<3600){
$anka[viptime]=round($anka[viptime]/60);
echo "$anka[viptime] мин.<br>";

}elseif($anka[viptime]>=3600 and $anka[viptime]<86400){
$anka[viptime]=round($anka[viptime]/3600);
echo "$anka[viptime] час.<br>";}
else{
$anka[viptime]=round($anka[viptime]/86400);
echo "$anka[viptime] дн.<br>";}
echo'</span><p style="border-top: solid 1px #444e4f"></p></div>';
}
echo"<div class='r6'>Выдать vip</div>
Время:</p>
<form action='adminka.php?mod=vip&id=$set_id' method='POST'>
<select name='time' class='input'>
<option value='86400'>1 день</option>
<option value='259200'>3 дня</option>
<option value='604800'>неделя</option>
<option value='1209600'>2 недели</option>
<option value='2419200'>4 недели</option>
</select><br/>
<input class='label' type='submit' value='Назначить' /></form>";
echo'<div class="r2"><img src="inc/arrow.png" ><a  style="text-decoration:none;" href="user.php?id='.$set_id.'&vid=adm">Назад</div></a>';
break;
case 'yes':
$set_id = abs(intval($_GET['id']));
   $query = "Select * from users where nick = '".htmlspecialchars($_POST[nick])."' and  id <>'$set_id' limit 1";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  if ($row != 0) {echo'<span class="red">Игрок с таким ником уже существует</span>';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();}
echo'<div class="r6"><span class="bonus">Игрок изменен</span><div class="r2"><img src="inc/arrow.png" ><a  style="text-decoration:none;" href="user.php?id='.$set_id.'&vid=adm">В профиль</a></div></br></div>';
  $pdo->exec("UPDATE
        `users` SET
`nick` = '".htmlspecialchars($_POST[nick])."',
`admin` = '".htmlspecialchars($_POST[admin])."',
`gruppa` = '".htmlspecialchars($_POST[gruppa])."',
`lvl` = '".htmlspecialchars($_POST[lvl])."',
`money` = '".htmlspecialchars($_POST[money])."',
`habar` = '".htmlspecialchars($_POST[habar])."'
         WHERE `id` = '$set_id'");
break;
}
require_once('conf/navig.php');
require_once('conf/foot.php');
?>
</div>
</body>
</html>